Generic advice for upgrading from 5.3.8 to 5.4

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Generic advice for upgrading from 5.3.8 to 5.4

Davide Vecchi-2
Hi everybody,

We want to upgrade from 5.3.8 to 5.4 and we would like to do some preparation and figure out as much as possible what changes might be needed - if any - so any bit of advice, generic or specific,  and any pointer to related posts or articles would be very welcome.

F.ex., I have seen some posts triggered by the removal of Scriptaculous and they will be useful if we will be in similar situations, but we would also like to know if there is any advice on how to handle this Scriptaculous change in general (if there is anything to handle at all) or any description of what this change entails from the user's perspective.

We also found through this mailing list an article which sounds spot-on: https://github.com/bobharner/blog/wiki/Jumping-Into-Tapestry-5.4 .

We are also using the 5.4 Jumpstart, http://jumpstart.doublenegative.com.au/jumpstart7/ , and the 5.4 release notes (https://github.com/apache/tapestry-5/blob/master/54_RELEASE_NOTES.md).

Anything related to the upgrade to 5.4 would be of interest.

Thanks in advance.
Reply | Threaded
Open this post in threaded view
|

Re: Generic advice for upgrading from 5.3.8 to 5.4

Thiago H. de Paula Figueiredo
On Tue, Jun 13, 2017 at 11:33 AM, Davide Vecchi <[hidden email]> wrote:

> Hi everybody,
>

Hi!


> F.ex., I have seen some posts triggered by the removal of Scriptaculous
> and they will be useful if we will be in similar situations, but we would
> also like to know if there is any advice on how to handle this
> Scriptaculous change in general (if there is anything to handle at all) or
> any description of what this change entails from the user's perspective.
>

Unless you have code using Scriptaculous directly, I don't think there's
nothing you need to do about it.


> Anything related to the upgrade to 5.4 would be of interest.
>

I'd suggest you to just go ahead and fix the potential CSS problems you may
find, as the very insightful Bob Harner article at
https://github.com/bobharner/blog/wiki/Jumping-Into-Tapestry-5.4 says.


>
> Thanks in advance.
>



--
Thiago
Reply | Threaded
Open this post in threaded view
|

Re: Generic advice for upgrading from 5.3.8 to 5.4

Carlos Montero Canabal
In reply to this post by Davide Vecchi-2
For my experience (I had to upgrade 4 webapps), the mayor change is adapt your javascript to AMD Modules with RequireJS. If you use jquery.ready(function(){}) in your actual scripts, you have to move these logic to AMD Modules. The final result (webapp with Tapestry 5.4.X) is fantastic.


> El 13/6/2017, a las 16:33, Davide Vecchi <[hidden email]> escribió:
>
> Hi everybody,
>
> We want to upgrade from 5.3.8 to 5.4 and we would like to do some preparation and figure out as much as possible what changes might be needed - if any - so any bit of advice, generic or specific,  and any pointer to related posts or articles would be very welcome.
>
> F.ex., I have seen some posts triggered by the removal of Scriptaculous and they will be useful if we will be in similar situations, but we would also like to know if there is any advice on how to handle this Scriptaculous change in general (if there is anything to handle at all) or any description of what this change entails from the user's perspective.
>
> We also found through this mailing list an article which sounds spot-on: https://github.com/bobharner/blog/wiki/Jumping-Into-Tapestry-5.4 .
>
> We are also using the 5.4 Jumpstart, http://jumpstart.doublenegative.com.au/jumpstart7/ , and the 5.4 release notes (https://github.com/apache/tapestry-5/blob/master/54_RELEASE_NOTES.md).
>
> Anything related to the upgrade to 5.4 would be of interest.
>
> Thanks in advance.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]